diff --git a/kmail/kmfolderimap.cpp b/kmail/kmfolderimap.cpp
index 303b7b01f..21fb82d14 100644
--- a/kmail/kmfolderimap.cpp
+++ b/kmail/kmfolderimap.cpp
@@ -302,7 +302,7 @@ void KMFolderImap::removeMsg( const TQPtrList<KMMessage>& msgList, bool quiet )
   KMMessage *msg;
   while ( (msg = it.current()) != 0 ) {
     ++it;
-    int idx = tqfind(msg);
+    int idx = find(msg);
     assert( idx != -1);
     // ATTENTION port me to maildir
     KMFolderMbox::removeMsg(idx, quiet);
@@ -327,7 +327,7 @@ void KMFolderImap::addMsgQuiet(KMMessage* aMsg)
   if (aFolder) {
     serNum = aMsg->getMsgSerNum();
     kmkernel->undoStack()->pushSingleAction( serNum, aFolder, folder() );
-    int idx = aFolder->tqfind( aMsg );
+    int idx = aFolder->find( aMsg );
     assert( idx != -1 );
     aFolder->take( idx );
   }
@@ -412,7 +412,7 @@ int KMFolderImap::addMsg(TQPtrList<KMMessage>& msgList, TQValueList<int>& aIndex
           {
             if (!msg->isComplete())
             {
-              int idx = msgParent->tqfind(msg);
+              int idx = msgParent->find(msg);
               assert(idx != -1);
               msg = msgParent->getMsg(idx);
             }
@@ -544,8 +544,8 @@ void KMFolderImap::copyMsg(TQPtrList<KMMessage>& msgList)
 TQPtrList<KMMessage> KMFolderImap::splitMessageList(const TQString& set,
                                                    TQPtrList<KMMessage>& msgList)
 {
-  int lastcomma = set.tqfindRev(",");
-  int lastdub = set.tqfindRev(":");
+  int lastcomma = set.findRev(",");
+  int lastdub = set.findRev(":");
   int last = 0;
   if (lastdub > lastcomma) last = lastdub;
   else last = lastcomma;
@@ -946,7 +946,7 @@ void KMFolderImap::checkFolders( const TQStringList& subfolderNames,
   KMFolderNode *node = folder()->child()->first();
   while ( node )
   {
-    if ( !node->isDir() && subfolderNames.tqfindIndex(node->name()) == -1 )
+    if ( !node->isDir() && subfolderNames.findIndex(node->name()) == -1 )
     {
       KMFolder* fld = static_cast<KMFolder*>(node);
       KMFolderImap* imapFld = static_cast<KMFolderImap*>( fld->storage() );
@@ -1004,11 +1004,11 @@ bool KMFolderImap::mailCheckInProgress() const
 void KMFolderImap::setChildrenState( TQString attributes )
 {
   // update tqchildren state
-  if ( attributes.tqfind( "hastqchildren", 0, false ) != -1 )
+  if ( attributes.find( "hastqchildren", 0, false ) != -1 )
   {
     setHasChildren( FolderStorage::HasChildren );
-  } else if ( attributes.tqfind( "hasnotqchildren", 0, false ) != -1 ||
-              attributes.tqfind( "noinferiors", 0, false ) != -1 )
+  } else if ( attributes.find( "hasnotqchildren", 0, false ) != -1 ||
+              attributes.find( "noinferiors", 0, false ) != -1 )
   {
     setHasChildren( FolderStorage::HasNoChildren );
   } else
@@ -1123,26 +1123,26 @@ void KMFolderImap::slotCheckValidityResult(KIO::Job * job)
     close("checkvalidity");
   } else {
     TQCString cstr((*it).data.data(), (*it).data.size() + 1);
-    int a = cstr.tqfind("X-uidValidity: ");
-    int b = cstr.tqfind("\r\n", a);
+    int a = cstr.find("X-uidValidity: ");
+    int b = cstr.find("\r\n", a);
     TQString uidv;
     if ( (b - a - 15) >= 0 )
         uidv = cstr.mid(a + 15, b - a - 15);
-    a = cstr.tqfind("X-Access: ");
-    b = cstr.tqfind("\r\n", a);
+    a = cstr.find("X-Access: ");
+    b = cstr.find("\r\n", a);
     TQString access;
     if ( (b - a - 10) >= 0 )
         access = cstr.mid(a + 10, b - a - 10);
     mReadOnly = access == "Read only";
-    a = cstr.tqfind("X-Count: ");
-    b = cstr.tqfind("\r\n", a);
+    a = cstr.find("X-Count: ");
+    b = cstr.find("\r\n", a);
     int exists = -1;
     bool ok = false;
     if ( (b - a - 9) >= 0 )
         exists = cstr.mid(a + 9, b - a - 9).toInt(&ok);
     if ( !ok ) exists = -1;
-    a = cstr.tqfind( "X-PermanentFlags: " );
-    b = cstr.tqfind( "\r\n", a );
+    a = cstr.find( "X-PermanentFlags: " );
+    b = cstr.find( "\r\n", a );
     if ( a >= 0 && (b - a - 18) >= 0 )
       mPermanentFlags = cstr.mid( a + 18, b - a - 18 ).toInt(&ok);
     if ( !ok ) mPermanentFlags = 0;
@@ -1296,7 +1296,7 @@ void KMFolderImap::slotListFolderResult(KIO::Job * job)
       mailUid = msgBase->UID();
       // parse the uid from the server and the flags out of the list from
       // the server. Format: 1234, 1
-      c = (*uid).tqfind(",");
+      c = (*uid).find(",");
       serverUid = (*uid).left( c ).toLong();
       serverFlags = (*uid).mid( c+1 ).toInt();
       if ( mailUid < serverUid ) {
@@ -1326,7 +1326,7 @@ void KMFolderImap::slotListFolderResult(KIO::Job * job)
   }
   // strip the flags from the list of uids, so it can be reused
   for (uid = (*it).items.begin(); uid != (*it).items.end(); ++uid)
-    (*uid).truncate((*uid).tqfind(","));
+    (*uid).truncate((*uid).find(","));
   ImapAccountBase::jobData jd( TQString(), (*it).tqparent );
   jd.total = (*it).items.count();
   if (jd.total == 0)
@@ -1525,23 +1525,23 @@ void KMFolderImap::slotGetMessagesData(KIO::Job * job, const TQByteArray & data)
   ImapAccountBase::JobIterator it = account()->findJob(job);
   if ( it == account()->jobsEnd() ) return;
   (*it).cdata += TQCString(data, data.size() + 1);
-  int pos = (*it).cdata.tqfind("\r\n--IMAPDIGEST");
+  int pos = (*it).cdata.find("\r\n--IMAPDIGEST");
   if ( pos == -1 ) {
-    // if we do not find the pattern in the complete string we will not tqfind
+    // if we do not find the pattern in the complete string we will not find
     // it in a substring.
     return;
   }
   if (pos > 0)
   {
-    int p = (*it).cdata.tqfind("\r\nX-uidValidity:");
+    int p = (*it).cdata.find("\r\nX-uidValidity:");
     if (p != -1) setUidValidity((*it).cdata
-      .mid(p + 17, (*it).cdata.tqfind("\r\n", p+1) - p - 17));
-    int c = (*it).cdata.tqfind("\r\nX-Count:");
+      .mid(p + 17, (*it).cdata.find("\r\n", p+1) - p - 17));
+    int c = (*it).cdata.find("\r\nX-Count:");
     if ( c != -1 )
     {
       bool ok;
       int exists = (*it).cdata.mid( c+10,
-          (*it).cdata.tqfind("\r\n", c+1) - c-10 ).toInt(&ok);
+          (*it).cdata.find("\r\n", c+1) - c-10 ).toInt(&ok);
       if ( ok && exists < count() ) {
         kdDebug(5006) << "KMFolderImap::slotGetMessagesData - server has less messages (" <<
           exists << ") then folder (" << count() << "), so reload" << endl;
@@ -1558,7 +1558,7 @@ void KMFolderImap::slotGetMessagesData(KIO::Job * job, const TQByteArray & data)
     }
     (*it).cdata.remove(0, pos);
   }
-  pos = (*it).cdata.tqfind("\r\n--IMAPDIGEST", 1);
+  pos = (*it).cdata.find("\r\n--IMAPDIGEST", 1);
   int flags;
   while (pos >= 0)
   {
@@ -1571,7 +1571,7 @@ void KMFolderImap::slotGetMessagesData(KIO::Job * job, const TQByteArray & data)
       flags = msg->headerField("X-Flags").toInt();
       ulong uid = msg->UID();
       KMMsgMetaData *md =  0;
-      if ( mUidMetaDataMap.tqfind( uid ) ) {
+      if ( mUidMetaDataMap.find( uid ) ) {
           md =  mUidMetaDataMap[uid];
       }
       ulong serNum = 0;
@@ -1601,7 +1601,7 @@ void KMFolderImap::slotGetMessagesData(KIO::Job * job, const TQByteArray & data)
           // see if we have cached the msgIdMD5 and get the status +
           // serial number from there
           TQString id = msg->msgIdMD5();
-          if ( mMetaDataMap.tqfind( id ) ) {
+          if ( mMetaDataMap.find( id ) ) {
             md =  mMetaDataMap[id];
             msg->setqStatus( md->status() );
             if ( md->serNum() != 0 && serNum == 0 ) {
@@ -1637,7 +1637,7 @@ void KMFolderImap::slotGetMessagesData(KIO::Job * job, const TQByteArray & data)
     }
     (*it).cdata.remove(0, pos);
     (*it).done++;
-    pos = (*it).cdata.tqfind("\r\n--IMAPDIGEST", 1);
+    pos = (*it).cdata.find("\r\n--IMAPDIGEST", 1);
   } // while
 }
 
@@ -2395,7 +2395,7 @@ bool KMFolderImap::isMoveable() const
 //-----------------------------------------------------------------------------
 ulong KMFolderImap::serNumForUID( ulong uid )
 {
-  if ( mUidMetaDataMap.tqfind( uid ) ) {
+  if ( mUidMetaDataMap.find( uid ) ) {
     KMMsgMetaData *md = mUidMetaDataMap[uid];
     return md->serNum();
   } else {
@@ -2411,7 +2411,7 @@ void KMFolderImap::saveMsgMetaData( KMMessage* msg, ulong uid )
     uid = msg->UID();
   }
   ulong serNum = msg->getMsgSerNum();
-  mUidMetaDataMap.tqreplace( uid, new KMMsgMetaData(msg->status(), serNum) );
+  mUidMetaDataMap.replace( uid, new KMMsgMetaData(msg->status(), serNum) );
 }
 
 //-----------------------------------------------------------------------------
diff --git a/kmail/kmfolderindex.h b/kmail/kmfolderindex.h
index e8ef5e7b6..28743c497 100644
--- a/kmail/kmfolderindex.h
+++ b/kmail/kmfolderindex.h
@@ -68,8 +68,8 @@ public:
   virtual const KMMsgBase* getMsgBase(int idx) const { return mMsgList[idx]; }
   virtual KMMsgBase* getMsgBase(int idx) { return mMsgList[idx]; }
 
-  virtual int tqfind(const KMMsgBase* msg) const { return mMsgList.tqfind((KMMsgBase*)msg); }
-  int tqfind( const KMMessage * msg ) const { return FolderStorage::tqfind( msg ); }
+  virtual int find(const KMMsgBase* msg) const { return mMsgList.find((KMMsgBase*)msg); }
+  int find( const KMMessage * msg ) const { return FolderStorage::find( msg ); }
 
   /** Registered unique serial number for the index file */
   int serialIndexId() const { return mIndexId; }
diff --git a/kmail/kmfoldermaildir.cpp b/kmail/kmfoldermaildir.cpp
index fe19131fb..8c54e3c24 100644
--- a/kmail/kmfoldermaildir.cpp
+++ b/kmail/kmfoldermaildir.cpp
@@ -291,7 +291,7 @@ int KMFolderMaildir::compact( unsigned int startIndex, int nbMessages, const TQS
       continue;
 
     // first, make sure this isn't in the 'new' subdir
-    if ( entryList.tqcontains( filename ) )
+    if ( entryList.contains( filename ) )
       moveInternal(subdirNew + filename, subdirCur + filename, mi);
 
     // construct a valid filename.  if it's already valid, then
@@ -381,7 +381,7 @@ if( fileD0.open( IO_WriteOnly ) ) {
     if (msgParent==folder() && !kmkernel->folderIsDraftOrOutbox(folder()))
         return 0;
 
-    idx = msgParent->tqfind(aMsg);
+    idx = msgParent->find(aMsg);
     msgParent->getMsg( idx );
   }
 
@@ -596,7 +596,7 @@ void KMFolderMaildir::readFileHeaderIntern(const TQString& dir, const TQString&
   // actually be some other state (but not New)
   if (status == KMMsgStatusRead)
   {
-    if (file.tqfind(":2,") == -1)
+    if (file.find(":2,") == -1)
       status = KMMsgStatusUnread;
     else if (file.right(5) == ":2,RS")
       status |= KMMsgStatusReplied;
@@ -636,7 +636,7 @@ void KMFolderMaildir::readFileHeaderIntern(const TQString& dir, const TQString&
       msgIdStr = msgIdStr.stripWhiteSpace();
       if( !msgIdStr.isEmpty() ) {
         int rightAngle;
-        rightAngle = msgIdStr.tqfind( '>' );
+        rightAngle = msgIdStr.find( '>' );
         if( rightAngle != -1 )
           msgIdStr.truncate( rightAngle + 1 );
       }
@@ -644,7 +644,7 @@ void KMFolderMaildir::readFileHeaderIntern(const TQString& dir, const TQString&
       replyToIdStr = replyToIdStr.stripWhiteSpace();
       if( !replyToIdStr.isEmpty() ) {
         int rightAngle;
-        rightAngle = replyToIdStr.tqfind( '>' );
+        rightAngle = replyToIdStr.find( '>' );
         if( rightAngle != -1 )
           replyToIdStr.truncate( rightAngle + 1 );
       }
@@ -652,7 +652,7 @@ void KMFolderMaildir::readFileHeaderIntern(const TQString& dir, const TQString&
       referencesStr = referencesStr.stripWhiteSpace();
       if( !referencesStr.isEmpty() ) {
         int leftAngle, rightAngle;
-        leftAngle = referencesStr.tqfindRev( '<' );
+        leftAngle = referencesStr.findRev( '<' );
         if( ( leftAngle != -1 )
             && ( replyToIdStr.isEmpty() || ( replyToIdStr[0] != '<' ) ) ) {
           // use the last reference, instead of missing In-Reply-To
@@ -660,10 +660,10 @@ void KMFolderMaildir::readFileHeaderIntern(const TQString& dir, const TQString&
         }
 
         // find second last reference
-        leftAngle = referencesStr.tqfindRev( '<', leftAngle - 1 );
+        leftAngle = referencesStr.findRev( '<', leftAngle - 1 );
         if( leftAngle != -1 )
           referencesStr = referencesStr.mid( leftAngle );
-        rightAngle = referencesStr.tqfindRev( '>' );
+        rightAngle = referencesStr.findRev( '>' );
         if( rightAngle != -1 )
           referencesStr.truncate( rightAngle + 1 );
 
@@ -672,7 +672,7 @@ void KMFolderMaildir::readFileHeaderIntern(const TQString& dir, const TQString&
         // message In-Reply-To points to is not kept in this folder,
         // but e.g. in an Outbox
         replyToAuxIdStr = referencesStr;
-        rightAngle = referencesStr.tqfind( '>' );
+        rightAngle = referencesStr.find( '>' );
         if( rightAngle != -1 )
           replyToAuxIdStr.truncate( rightAngle + 1 );
       }
@@ -697,7 +697,7 @@ void KMFolderMaildir::readFileHeaderIntern(const TQString& dir, const TQString&
       charset = "";
       if ( !contentTypeStr.isEmpty() )
       {
-        int cidx = contentTypeStr.tqfind( "charset=" );
+        int cidx = contentTypeStr.find( "charset=" );
         if ( cidx != -1 ) {
           charset = contentTypeStr.mid( cidx + 8 );
           if ( !charset.isEmpty() && ( charset[0] == '"' ) ) {
@@ -1046,7 +1046,7 @@ TQString KMFolderMaildir::constructValidFileName( const TQString & filename,
   if (!suffix_regex)
       suffix_regex_sd.setObject(suffix_regex, new TQRegExp(":2,?R?S?$"));
 
-  aFileName.truncate(aFileName.tqfindRev(*suffix_regex));
+  aFileName.truncate(aFileName.findRev(*suffix_regex));
 
   // only add status suffix if the message is neither new nor unread
   if (! ((status & KMMsgStatusNew) || (status & KMMsgStatusUnread)) )
diff --git a/kmail/kmfoldermbox.cpp b/kmail/kmfoldermbox.cpp
index 75a584551..d77a8ae46 100644
--- a/kmail/kmfoldermbox.cpp
+++ b/kmail/kmfoldermbox.cpp
@@ -609,7 +609,7 @@ int KMFolderMbox::createIndexFromContents()
           msgIdStr = msgIdStr.stripWhiteSpace();
           if( !msgIdStr.isEmpty() ) {
             int rightAngle;
-            rightAngle = msgIdStr.tqfind( '>' );
+            rightAngle = msgIdStr.find( '>' );
             if( rightAngle != -1 )
               msgIdStr.truncate( rightAngle + 1 );
           }
@@ -617,7 +617,7 @@ int KMFolderMbox::createIndexFromContents()
           replyToIdStr = replyToIdStr.stripWhiteSpace();
           if( !replyToIdStr.isEmpty() ) {
             int rightAngle;
-            rightAngle = replyToIdStr.tqfind( '>' );
+            rightAngle = replyToIdStr.find( '>' );
             if( rightAngle != -1 )
               replyToIdStr.truncate( rightAngle + 1 );
           }
@@ -625,7 +625,7 @@ int KMFolderMbox::createIndexFromContents()
           referencesStr = referencesStr.stripWhiteSpace();
           if( !referencesStr.isEmpty() ) {
             int leftAngle, rightAngle;
-            leftAngle = referencesStr.tqfindRev( '<' );
+            leftAngle = referencesStr.findRev( '<' );
             if( ( leftAngle != -1 )
                 && ( replyToIdStr.isEmpty() || ( replyToIdStr[0] != '<' ) ) ) {
               // use the last reference, instead of missing In-Reply-To
@@ -633,10 +633,10 @@ int KMFolderMbox::createIndexFromContents()
             }
 
             // find second last reference
-            leftAngle = referencesStr.tqfindRev( '<', leftAngle - 1 );
+            leftAngle = referencesStr.findRev( '<', leftAngle - 1 );
             if( leftAngle != -1 )
               referencesStr = referencesStr.mid( leftAngle );
-            rightAngle = referencesStr.tqfindRev( '>' );
+            rightAngle = referencesStr.findRev( '>' );
             if( rightAngle != -1 )
               referencesStr.truncate( rightAngle + 1 );
 
@@ -645,7 +645,7 @@ int KMFolderMbox::createIndexFromContents()
             // message In-Reply-To points to is not kept in this folder,
             // but e.g. in an Outbox
             replyToAuxIdStr = referencesStr;
-            rightAngle = referencesStr.tqfind( '>' );
+            rightAngle = referencesStr.find( '>' );
             if( rightAngle != -1 )
               replyToAuxIdStr.truncate( rightAngle + 1 );
           }
@@ -654,7 +654,7 @@ int KMFolderMbox::createIndexFromContents()
           charset = "";
           if ( !contentTypeStr.isEmpty() )
           {
-            int cidx = contentTypeStr.tqfind( "charset=" );
+            int cidx = contentTypeStr.find( "charset=" );
             if ( cidx != -1 ) {
               charset = contentTypeStr.mid( cidx + 8 );
               if ( !charset.isEmpty() && ( charset[0] == '"' ) ) {
@@ -965,7 +965,7 @@ int KMFolderMbox::addMsg( KMMessage* aMsg, int* aIndex_ret )
           return 0;
       }
 
-    idx = msgParent->tqfind(aMsg);
+    idx = msgParent->find(aMsg);
     msgParent->getMsg( idx );
   }
 
@@ -1175,7 +1175,7 @@ int KMFolderMbox::compact( unsigned int startIndex, int nbMessages, FILE* tmpfil
         mtext.resize(20);
       fread(mtext.data(), 20, 1, mStream);
       if(i <= 0) { //woops we've reached the top of the file, last try..
-        if ( mtext.tqcontains( "from ", false ) ) {
+        if ( mtext.contains( "from ", false ) ) {
           if (mtext.size() < (size_t)folder_offset)
               mtext.resize(folder_offset);
           if(fseek(mStream, chunk_offset, SEEK_SET) == -1 ||
diff --git a/kmail/kmfoldermgr.cpp b/kmail/kmfoldermgr.cpp
index 383f562ac..e66e77761 100644
--- a/kmail/kmfoldermgr.cpp
+++ b/kmail/kmfoldermgr.cpp
@@ -219,7 +219,7 @@ KMFolder* KMFolderMgr::createFolder(const TQString& fName, bool sysFldr,
 
 
 //-----------------------------------------------------------------------------
-KMFolder* KMFolderMgr::tqfind(const TQString& folderName, bool foldersOnly)
+KMFolder* KMFolderMgr::find(const TQString& folderName, bool foldersOnly)
 {
   KMFolderNode* node;
 
@@ -303,7 +303,7 @@ KMFolder* KMFolderMgr::findOrCreate(const TQString& aFolderName, bool sysFldr,
 {
   KMFolder* folder = 0;
   if ( id == 0 )
-    folder = tqfind(aFolderName);
+    folder = find(aFolderName);
   else
     folder = findById(id);
 
diff --git a/kmail/kmfoldermgr.h b/kmail/kmfoldermgr.h
index 0565157ad..01009347a 100644
--- a/kmail/kmfoldermgr.h
+++ b/kmail/kmfoldermgr.h
@@ -33,13 +33,13 @@ public:
 
   /** Searches folder and returns it. Skips directories
     (objects of type KMFolderDir) if foldersOnly is TRUE. */
-  virtual KMFolder* tqfind(const TQString& folderName, bool foldersOnly=TRUE);
+  virtual KMFolder* find(const TQString& folderName, bool foldersOnly=TRUE);
 
   /** Searches for a folder with the given id, recurses into directories */
   virtual KMFolder* findIdString(const TQString& folderId,
      const uint id = 0, KMFolderDir *dir = 0);
 
-  /** Uses tqfind() to find given folder. If not found the folder is
+  /** Uses find() to find given folder. If not found the folder is
    * created. Directories are skipped.
    * If an id is passed this searches for it
    */
diff --git a/kmail/kmfoldersearch.cpp b/kmail/kmfoldersearch.cpp
index e7fd1d269..d2345dce0 100644
--- a/kmail/kmfoldersearch.cpp
+++ b/kmail/kmfoldersearch.cpp
@@ -452,7 +452,7 @@ void KMFolderSearch::addSerNum(TQ_UINT32 serNum)
                       << ": folder is " << aFolder << ", index is " << idx << endl;
         return;
     }
-    if(mFolders.tqfindIndex(aFolder) == -1) {
+    if(mFolders.findIndex(aFolder) == -1) {
         aFolder->open("foldersearch");
         mFolders.append(aFolder);
     }
@@ -698,7 +698,7 @@ KMFolderSearch::ignoreJobsForMessage( KMMessage* msg )
 }
 
 
-int KMFolderSearch::tqfind(const KMMsgBase* msg) const
+int KMFolderSearch::find(const KMMsgBase* msg) const
 {
     int pos = 0;
     TQ_UINT32 serNum = msg->getMsgSerNum();
@@ -856,7 +856,7 @@ bool KMFolderSearch::readIndex()
             return false;
         }
         mSerNums.push_back(serNum);
-        if(mFolders.tqfindIndex(folder) == -1) {
+        if(mFolders.findIndex(folder) == -1) {
             if (mInvalid) //exceptional case for when folder has invalid ids
                 return false;
             folder->open("foldersearch");
@@ -910,7 +910,7 @@ KMMsgInfo* KMFolderSearch::setIndexEntry(int idx, KMMessage *msg)
 {
     assert(idx >= 0 && idx < (int)mSerNums.count());
     Q_UNUSED( idx );
-    return msg->storage()->setIndexEntry(msg->tqparent()->tqfind(msg), msg);
+    return msg->storage()->setIndexEntry(msg->tqparent()->find(msg), msg);
 }
 
 void KMFolderSearch::clearIndex(bool, bool)
@@ -954,9 +954,9 @@ void KMFolderSearch::examineAddedMessage(KMFolder *aFolder, TQ_UINT32 serNum)
     KMFolderOpener openFolder(folder, "foldersearch");
 
     // if we are already checking this folder, refcount
-    if ( mFoldersCurrentlyBeingSearched.tqcontains( folder ) ) {
+    if ( mFoldersCurrentlyBeingSearched.contains( folder ) ) {
       unsigned int count = mFoldersCurrentlyBeingSearched[folder];
-      mFoldersCurrentlyBeingSearched.tqreplace( folder, count+1 );
+      mFoldersCurrentlyBeingSearched.replace( folder, count+1 );
     } else {
       connect( folder->storage(),
               TQT_SIGNAL( searchDone( KMFolder*, TQ_UINT32, const KMSearchPattern*, bool ) ),
@@ -978,7 +978,7 @@ void KMFolderSearch::slotSearchExamineMsgDone( KMFolder* folder,
      << " matches?" << matches << endl;
     KMFolderOpener openFolder(folder, "foldersearch");
 
-    Q_ASSERT( mFoldersCurrentlyBeingSearched.tqcontains( folder ) );
+    Q_ASSERT( mFoldersCurrentlyBeingSearched.contains( folder ) );
 
     unsigned int count = mFoldersCurrentlyBeingSearched[folder];
     if ( count == 1 ) {
@@ -990,7 +990,7 @@ void KMFolderSearch::slotSearchExamineMsgDone( KMFolder* folder,
                                                   const KMSearchPattern*, bool ) ) );
       mFoldersCurrentlyBeingSearched.remove( folder );
     } else {
-      mFoldersCurrentlyBeingSearched.tqreplace( folder, count-1 );
+      mFoldersCurrentlyBeingSearched.replace( folder, count-1 );
     }
 
     if ( !matches ) {
@@ -1115,9 +1115,9 @@ void KMFolderSearch::propagateHeaderChanged(KMFolder *aFolder, int idx)
     KMFolderOpener openAFolder(aFolder, "foldersearch");
 
     // if we are already checking this folder, refcount
-    if ( mFoldersCurrentlyBeingSearched.tqcontains( aFolder ) ) {
+    if ( mFoldersCurrentlyBeingSearched.contains( aFolder ) ) {
       unsigned int count = mFoldersCurrentlyBeingSearched[aFolder];
-      mFoldersCurrentlyBeingSearched.tqreplace( aFolder, count+1 );
+      mFoldersCurrentlyBeingSearched.replace( aFolder, count+1 );
     } else {
       connect( aFolder->storage(),
               TQT_SIGNAL( searchDone( KMFolder*, TQ_UINT32, const KMSearchPattern*, bool ) ),
diff --git a/kmail/kmfoldersearch.h b/kmail/kmfoldersearch.h
index 88e34994f..728eb6842 100644
--- a/kmail/kmfoldersearch.h
+++ b/kmail/kmfoldersearch.h
@@ -181,7 +181,7 @@ public:
   virtual bool isReadOnly() const;
   virtual const KMMsgBase* getMsgBase(int idx) const;
   virtual KMMsgBase* getMsgBase(int idx);
-  virtual int tqfind(const KMMsgBase* msg) const;
+  virtual int find(const KMMsgBase* msg) const;
   virtual TQString indexLocation() const;
   virtual int writeIndex( bool createEmptyIndex = false );
   DwString getDwString(int idx);
diff --git a/kmail/kmfoldertree.cpp b/kmail/kmfoldertree.cpp
index 32f6e3c44..6a280856f 100644
--- a/kmail/kmfoldertree.cpp
+++ b/kmail/kmfoldertree.cpp
@@ -136,7 +136,7 @@ TQPixmap KMFolderTreeItem::normalIcon(int size) const
     }
     // non-root search folders
     if ( protocol() == KMFolderTreeItem::Search ) {
-      icon = "mail_tqfind";
+      icon = "mail_find";
     }
     if ( mFolder && mFolder->noContent() ) {
       icon = "folder_grey";
@@ -1392,7 +1392,7 @@ void KMFolderTree::cleanupConfigFile()
   {
     if ((*grpIt).left(7) != "Folder-") continue;
     name = (*grpIt).mid(7);
-    if (folderMap.tqfind(name) == folderMap.end())
+    if (folderMap.find(name) == folderMap.end())
     {
       KMFolder* folder = kmkernel->findFolderById( name );
       if ( folder ) {
@@ -1634,8 +1634,8 @@ void KMFolderTree::slotRenameFolder(TQListViewItem *item, int col,
   else
           fldName = oldFldName;
 
-  fldName.tqreplace("/", "");
-  fldName.tqreplace(TQRegExp("^\\."), "");
+  fldName.replace("/", "");
+  fldName.replace(TQRegExp("^\\."), "");
 
   if (fldName.isEmpty())
           fldName = i18n("unnamed");
@@ -1648,7 +1648,7 @@ void KMFolderTree::slotRenameFolder(TQListViewItem *item, int col,
 void KMFolderTree::slotUpdateCountsDelayed(KMFolder * folder)
 {
 //  kdDebug(5006) << "KMFolderTree::slotUpdateCountsDelayed()" << endl;
-  if ( !mFolderToUpdateCount.tqcontains( folder->idString() ) )
+  if ( !mFolderToUpdateCount.contains( folder->idString() ) )
   {
 //    kdDebug( 5006 )<< "adding " << folder->idString() << " to updateCountList " << endl;
     mFolderToUpdateCount.insert( folder->idString(),folder );
@@ -1851,7 +1851,7 @@ void KMFolderTree::folderToPopupMenu( MenuAction action, TQObject *receiver,
 {
   while ( menu->count() )
   {
-    TQPopupMenu *popup = menu->tqfindItem( menu->idAt( 0 ) )->popup();
+    TQPopupMenu *popup = menu->findItem( menu->idAt( 0 ) )->popup();
     if ( popup )
       delete popup;
     else
@@ -1897,7 +1897,7 @@ void KMFolderTree::folderToPopupMenu( MenuAction action, TQObject *receiver,
       continue;
     }
     TQString label = fti->text( 0 );
-    label.tqreplace( "&","&&" );
+    label.replace( "&","&&" );
     if ( fti->firstChild() )
     {
       // new level
@@ -1985,7 +1985,7 @@ void KMFolderTree::moveOrCopyFolder( TQValueList<TQGuardedPtr<KMFolder> > source
     if ( source )
       sourceFolderName = source->label();
 
-    if ( tqparent->hasNamedFolder( sourceFolderName ) || sourceFolderNames.tqcontains( sourceFolderName ) ) {
+    if ( tqparent->hasNamedFolder( sourceFolderName ) || sourceFolderNames.contains( sourceFolderName ) ) {
       KMessageBox::error( this, i18n("<qt>Cannot move or copy folder <b>%1</b> here because a folder with the same name already exists.</qt>")
           .tqarg( sourceFolderName ) );
       setDragEnabled( true );
@@ -2016,7 +2016,7 @@ void KMFolderTree::moveOrCopyFolder( TQValueList<TQGuardedPtr<KMFolder> > source
       while ( folderDir && ( folderDir != &kmkernel->folderMgr()->dir() ) &&
           ( folderDir != source->tqparent() ) )
       {
-        if ( folderDir->tqfindRef( source ) != -1 )
+        if ( folderDir->findRef( source ) != -1 )
         {
           KMessageBox::error( this, message );
           setDragEnabled( true );
@@ -2027,7 +2027,7 @@ void KMFolderTree::moveOrCopyFolder( TQValueList<TQGuardedPtr<KMFolder> > source
     }
 
     if( source && source->child() && tqparent &&
-        ( tqparent->path().tqfind( source->child()->path() + "/" ) == 0 ) ) {
+        ( tqparent->path().find( source->child()->path() + "/" ) == 0 ) ) {
       KMessageBox::error( this, message );
       setDragEnabled( true );
       return;
@@ -2051,7 +2051,7 @@ void KMFolderTree::moveOrCopyFolder( TQValueList<TQGuardedPtr<KMFolder> > source
         continue;
       KMFolderDir *childDir = (*it2)->tqparent();
       do {
-        if ( parentDir == childDir || parentDir->tqfindRef( childDir->owner() ) != -1 ) {
+        if ( parentDir == childDir || parentDir->findRef( childDir->owner() ) != -1 ) {
           KMessageBox::error( this, i18n("Moving the selected folders is not possible") );
           setDragEnabled( true );
           return;
@@ -2118,7 +2118,7 @@ void KMFolderTree::cutFolder()
 void KMFolderTree::pasteFolder()
 {
   KMFolderTreeItem *item = static_cast<KMFolderTreeItem*>( currentItem() );
-  if ( !mCopySourceFolders.isEmpty() && item && !mCopySourceFolders.tqcontains( item->folder() ) ) {
+  if ( !mCopySourceFolders.isEmpty() && item && !mCopySourceFolders.contains( item->folder() ) ) {
     moveOrCopyFolder( mCopySourceFolders, item->folder(), mCutFolder );
     if ( mCutFolder )
       mCopySourceFolders.clear();
diff --git a/kmail/kmheaders.cpp b/kmail/kmheaders.cpp
index f8e8fff8f..d8c30d074 100644
--- a/kmail/kmheaders.cpp
+++ b/kmail/kmheaders.cpp
@@ -952,7 +952,7 @@ void KMHeaders::msgAdded(int id)
     mItems[id] = hi;
 
     if ( !msgId.isEmpty() )
-      mSortCacheItems.tqreplace(msgId, sci);
+      mSortCacheItems.replace(msgId, sci);
     /* Add to the list of potential parents for subject threading. But only if
      * we are top level. */
     if (mSubjThreading && tqparent) {
@@ -962,7 +962,7 @@ void KMHeaders::msgAdded(int id)
         subjMD5 = mFolder->getMsgBase(id)->strippedSubjectMD5();
       }
       if( !subjMD5.isEmpty()) {
-        if ( !mSubjectLists.tqfind(subjMD5) )
+        if ( !mSubjectLists.find(subjMD5) )
           mSubjectLists.insert(subjMD5, new TQPtrList<SortCacheItem>());
         // insertion sort by date. See buildThreadTrees for details.
         int p=0;
@@ -1006,7 +1006,7 @@ void KMHeaders::msgAdded(int id)
           if (msgId != otherMsg->replyToAuxIdMD5())
             continue;
           else {
-            if (!otherId.isEmpty() && mSortCacheItems.tqfind(otherId))
+            if (!otherId.isEmpty() && mSortCacheItems.find(otherId))
               continue;
             else
               // Thread below us by aux id, but keep on the list of
@@ -1163,11 +1163,11 @@ void KMHeaders::msgRemoved(int id, TQString msgId )
       }
 
       if ((!tqparent || sci->isImperfectlyThreaded())
-                      && !mImperfectlyThreadedList.tqcontainsRef(item))
+                      && !mImperfectlyThreadedList.containsRef(item))
         mImperfectlyThreadedList.append(item);
 
       if (tqparent && !sci->isImperfectlyThreaded()
-          && mImperfectlyThreadedList.tqcontainsRef(item))
+          && mImperfectlyThreadedList.containsRef(item))
         mImperfectlyThreadedList.removeRef(item);
     }
   }
@@ -1178,7 +1178,7 @@ void KMHeaders::msgRemoved(int id, TQString msgId )
   mImperfectlyThreadedList.removeRef( removedItem );
 #ifdef DEBUG
   // This should never happen, in this case the folders are inconsistent.
-  while ( mImperfectlyThreadedList.tqfindRef( removedItem ) != -1 ) {
+  while ( mImperfectlyThreadedList.findRef( removedItem ) != -1 ) {
     mImperfectlyThreadedList.remove();
     kdDebug(5006) << "Remove doubled item from mImperfectlyThreadedList: " << removedItem << endl;
   }
@@ -1268,7 +1268,7 @@ void KMHeaders::setThreadtqStatus(KMMsgtqStatus status, bool toggle)
         TQListViewItem *top = item;
         while ( top->tqparent() )
           top = top->tqparent();
-        if (!topOfThreads.tqcontains(top)) {
+        if (!topOfThreads.contains(top)) {
           topOfThreads.append(top);
         }
       }
@@ -2950,7 +2950,7 @@ void KMHeaders::buildThreadingTree( TQMemArray<SortCacheItem *> sortCache )
         KMMsgBase *mi = mFolder->getMsgBase(x);
         TQString md5 = mi->msgIdMD5();
         if(!md5.isEmpty())
-            mSortCacheItems.tqreplace(md5, sortCache[x]);
+            mSortCacheItems.replace(md5, sortCache[x]);
     }
 }
 
@@ -2974,7 +2974,7 @@ void KMHeaders::buildSubjectThreadingTree( TQMemArray<SortCacheItem *> sortCache
 
         /* For each subject, keep a list of items with that subject
          * (stripped of prefixes) sorted by date. */
-        if (!mSubjectLists.tqfind(subjMD5))
+        if (!mSubjectLists.find(subjMD5))
             mSubjectLists.insert(subjMD5, new TQPtrList<SortCacheItem>());
         /* Insertion sort by date. These lists are expected to be very small.
          * Also, since the messages are roughly ordered by date in the store,
@@ -3596,7 +3596,7 @@ void KMHeaders::setCopiedMessages(const TQValueList< TQ_UINT32 > & msgs, bool mo
 
 bool KMHeaders::isMessageCut(TQ_UINT32 serNum) const
 {
-  return mMoveMessages && mCopiedMessages.tqcontains( serNum );
+  return mMoveMessages && mCopiedMessages.contains( serNum );
 }
 
 TQValueList< TQ_UINT32 > KMHeaders::selectedSernums()
